# GLM: glm::gtx::integer Namespace Reference

# glm::gtx::integer Namespace Reference

GLM_GTX_integer extension: Add support for integer for core functions. More...

## Functions

template<typename genType >
genType | factorial (genType const &x)
| Return the factorial value of a number (!12 max, integer only) From GLM_GTX_integer extension.
int | mod (int x, int y)
| Modulus.
int | pow (int x, int y)
| Returns x raised to the y power.
int | sqrt (int x)
| Returns the positive square root of x.

## Detailed Description

GLM_GTX_integer extension: Add support for integer for core functions.

## Function Documentation

genType glm::gtx::integer::factorial | ( | genType const & | x | ) |

Return the factorial value of a number (!12 max, integer only) From GLM_GTX_integer extension.

int glm::gtx::integer::mod | ( | int | x,
|  | int | y |
| ) |  |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_integer extension.

int glm::gtx::integer::pow | ( | int | x,
|  | int | y |
| ) |  |  |

Returns x raised to the y power.

From GLM_GTX_integer extension.

int glm::gtx::integer::sqrt | ( | int | x | ) |

Returns the positive square root of x.

From GLM_GTX_integer extension.